package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.*;

/**
 * <p>
 * 
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("终端忽略报警信息记录表")
public class TerminalIgnoreAlarm extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 终端编码
     */
    private String terminalCode;

    /**
     * 报警唯一标识UUID
     */
    private String alarmId;

    /**
     * 忽略时间
     */
    private Date ignoreTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;


}
